Closed - Node Sync Issue ([email protected] on Telegram)

August 7 ----------------------------------------------------------------------------------

My node cannot sync above this block. I have already restarted the node and re-synced, but again stuck at this block. I have no errors and everything works. My node bobanvorobey | 5Ge7hVLu9jGRdjZmPt9VL4Z2C4nSaVpnu1TtBKhzCyqPykc3

Verification failed for block 0x8f5c7b72d28560153e76a110a040057f006cc10345209e75349eb9ca2f2999ca received from peer: 12D3KooWM7rZ69ns1DtpbFsPwkDBDXSDaQCH8vXsGRKwpCTkd5ZV, “Execution: Could not convert parameter block between node and runtime: Error decoding field Block.extrinsics”

Environment: Ubuntu 18.04

August 9 ----------------------------------------------------------------------------------

Did you compiled your own node?

It may be caused by compiling from a bad commit. Usually the latest commit at poc2-2.0 branch should work. However sometimes when we are working on a sequence of changes, the committed code may not bump the node version correctly. In such case, the wasm runtime is inconsistent with the compiled native code, and thus complains “Could not convert parameter block between node and runtime”.

You can either compile the latest code from poc2-2.0 branch, or download the precompiled binaries directly. There’s a quick walk-around – to run the node with --execution=Wasm which fully disables native execution, but it’s not recommended.